# version string format -- This will be overwritten later anyway
version: "{build}"

os:
  - Visual Studio 2017

init:
  - git config --global core.autocrlf input
  # Set build version to git commit-hash
  - ps: Update-AppveyorBuild -Version "$($env:APPVEYOR_REPO_BRANCH) - $($env:APPVEYOR_REPO_COMMIT)"

install:
  - git submodule update --init --recursive

# Win32 and x64 are CMake-compatible solution platform names.
# This allows us to pass %PLATFORM% to CMake -A.
platform:
  - Win32
  - x64

# build Configurations, i.e. Debug, Release, etc.
configuration:
  - Debug
  - Release

#Cmake will autodetect the compiler, but we set the arch
before_build:
  - cmake -H. -BBuild -A%PLATFORM%

# build with MSBuild
build:
  project: Build\CppCrashWindows.sln        # path to Visual Studio solution or project
  parallel: true                        # enable MSBuild parallel builds
  verbosity: normal                     # MSBuild verbosity level {quiet|minimal|normal|detailed}
 

artifacts:
  - path: Build\$(configuration)
    name: CppCrashWindows
    type: zip

test_script:
  - cd Build
  - ctest -V -j 2 -C %CONFIGURATION%
